Resources:
  CalculateOrderPointsQueue:
    Type: 'AWS::SQS::Queue'
    Properties:
      QueueName: ${file(resource/index.json):order.calculateOrderPointsQueue}

  CalculateOrderPointsQueuePolicy:
    Type: AWS::SQS::QueuePolicy
    Properties:
      PolicyDocument:
        Statement:
          - Effect: Allow
            Action:
              - SQS:*
            Resource: !GetAtt CalculateOrderPointsQueue.Arn
            Principal:
              AWS:
                - !Ref AWS::AccountId
          - Effect: Allow
            Principal:
              AWS:
                - '*'
            Action:
              - SQS:SendMessage
            Resource: !GetAtt CalculateOrderPointsQueue.Arn
            Condition:
              ArnLike:
                aws:SourceArn:
                  - !Ref OrderCreatedTopic
      Queues:
        - !Ref CalculateOrderPointsQueue
